Bug 86460 - soffice.bin crash with SEGFAULT in libuno_sal.so.3
Summary: soffice.bin crash with SEGFAULT in libuno_sal.so.3
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-19 10:17 UTC by Marco
Modified: 2015-07-18 17:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco 2014-11-19 10:17:25 UTC
I use soffice server-side, essentially to convert ODT documents (after executing some "Basic" macro inside the document) to PDF format.

This is the command line:

    /usr/lib64/libreoffice/program/soffice.bin --accept=socket,host=0.0.0.0,port=8100;urp;StarOffice.ServiceManager --headless --nodefault --nofirststartwizard --nolockcheck --nologo --norestore

The problem: quite regularly (once/twice a day) it crashes.

These are the lines I get in "/var/log/messages.log" file for each crash:
    Nov 14 23:36:19 MY_HOSTNAME kernel: soffice.bin[6587]: segfault at 18 ip 000000310b616410 sp 00007f5a2fdd1a68 error 6 in libuno_sal.so.3[310b600000+52000]
    Nov 14 23:36:20 MY_HOSTNAME abrt[22154]: Saved core dump of pid 6583 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2014-11-14-23:36:19-6583 (207622144 bytes)

The service here is restored after every crash by a 'monit' running service.

This is the 'top' command output (ordered by VIRT size) while soffice.bin is running:

top - 10:47:38 up 8 days, 17:03,  3 users,  load average: 0.00, 0.00, 0.00
Tasks: 184 total,   1 running, 183 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.0%us,  0.0%sy,  0.0%ni,100.0%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   3822240k total,  1695140k used,  2127100k free,    77296k buffers
Swap:  6012920k total,        0k used,  6012920k free,   874476k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
14173 root      20   0 1077m 109m  55m S  0.0  2.9   0:03.28 soffice.bin
...

I suspect the crashes are coupled with the slow but steady increase of memory footprint of soffice.bin process.

The same problem arises on at least four different physical servers, so an hardware problem is unlikely.

This is some additional info about our server:

# uname -a
Linux MY_HOSTNAME 2.6.32-358.23.2.el6.x86_64 #1 SMP Wed Oct 16 18:37:12 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

# /usr/lib64/libreoffice/program/soffice.bin --version
LibreOffice 4.0.4.2

# head -n 1 /proc/meminfo
MemTotal:        3822240 kB

# file /etc/alternatives/java
/etc/alternatives/java: symbolic link to `/usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java'

I add the "sosreport.tar.xz" file in "/var/spool/abrt/ccpp-2014-11-14-23:36:19-6583/" directory as an attachment to the bug.
Comment 1 Marco 2014-11-19 10:31:41 UTC
I was not able to submit bug with sosreport.tar.xz file attached (it's <1Mb big...).
Sorry, I do not attach coredump since it is 207+MB big...
Comment 2 Julien Nabet 2014-11-19 21:40:23 UTC
4.0.4 has been released more than 1 year ago.

On which Linux distrib are you? Would it be possible you upgrade to last stable LO version 4.3.4? (from LO ppa if Ubuntu for example)
Comment 3 Marco 2014-11-20 09:04:55 UTC
I'm on CentOS release 6.4.
I will see if it is possible to upgrade, we have many dependencies...
If I will be able to upgrade, I'll confirm the presence/resolution of the bug here.
Comment 4 QA Administrators 2015-06-08 14:29:09 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 5 QA Administrators 2015-07-18 17:27:42 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18